# MPQC::IntegralEvaluatorFactory_impl Class Reference

Symbol "MPQC.IntegralEvaluatorFactory" (version 0.2) More...

`#include <MPQC_IntegralEvaluatorFactory_Impl.hh>`

List of all members.

## Public Member Functions

| IntegralEvaluatorFactory_impl (struct MPQC_IntegralEvaluatorFactory__object *s)
void | _ctor ()
void | _dtor ()
void | setServices (::gov::cca::Services services) throw ( ::gov::cca::CCAException )
| Starts up a component presence in the calling framework.
void | set_molecular (::Chemistry::QC::GaussianBasis::Molecular molbasis) throw ()
| Set the molecular basis.
::Chemistry::QC::GaussianBasis::Molecular | get_molecular () throw ()
| Get the molecular basis.
void | set_molecule (::Chemistry::Molecule mol) throw ()
| Set the molecule.
::Chemistry::Molecule | get_molecule () throw ()
| Get the molecule.
void | set_integral_package (const ::std::string &label) throw ()
| Set the integral package.
::Chemistry::QC::GaussianBasis::IntegralEvaluator2 | get_integral_evaluator2 (const ::std::string &label, int64_t max_deriv,::Chemistry::QC::GaussianBasis::Molecular bs1,::Chemistry::QC::GaussianBasis::Molecular bs2) throw ()
| Get a 2-center integral evaluator.
::Chemistry::QC::GaussianBasis::IntegralEvaluator2 | get_nuclear_evaluator (int64_t max_deriv,::Chemistry::QC::GaussianBasis::Molecular bs1,::Chemistry::QC::GaussianBasis::Molecular bs2,::Chemistry::QC::GaussianBasis::DerivCenters dc) throw ()
| Get a nuclear repulsion specialized 2-center integral evaluator.
::Chemistry::QC::GaussianBasis::IntegralEvaluator2 | get_hcore_evaluator (int64_t max_deriv,::Chemistry::QC::GaussianBasis::Molecular bs1,::Chemistry::QC::GaussianBasis::Molecular bs2,::Chemistry::QC::GaussianBasis::DerivCenters dc) throw ()
| Get a hcore specialized 2-center integral evaluator.
::Chemistry::QC::GaussianBasis::IntegralEvaluator3 | get_integral_evaluator3 (const ::std::string &label, int64_t max_deriv,::Chemistry::QC::GaussianBasis::Molecular bs1,::Chemistry::QC::GaussianBasis::Molecular bs2,::Chemistry::QC::GaussianBasis::Molecular bs3) throw ()
| Get a 3-center integral evaluator.
::Chemistry::QC::GaussianBasis::IntegralEvaluator4 | get_integral_evaluator4 (const ::std::string &label, int64_t max_deriv,::Chemistry::QC::GaussianBasis::Molecular bs1,::Chemistry::QC::GaussianBasis::Molecular bs2,::Chemistry::QC::GaussianBasis::Molecular bs3,::Chemistry::QC::GaussianBasis::Molecular bs4) throw ()
| Get a 4-center integral evaluator.
::Chemistry::QC::GaussianBasis::ContractionTransform | get_contraction_transform () throw ()
| Get the contraction transform.

## Static Public Member Functions

static void | _load ()

## Detailed Description

Symbol "MPQC.IntegralEvaluatorFactory" (version 0.2)

IntegralEvaluatorFactory_impl implements a component interface for supplying molecular integral evaluators.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

For use directly in a framework, the parameter port recognizes the following parameters:

`package`

  Integral package, either `cints` or `intv3`. The default is `intv3`.

These parameters must be set by the client class (`IntegralCCA` within SC) for embedded use.

## Member Function Documentation

::Chemistry::QC::GaussianBasis::ContractionTransform MPQC::IntegralEvaluatorFactory_impl::get_contraction_transform | ( |  | ) | throw ()

Get the contraction transform.

Returns:
  The contraction transform

::Chemistry::QC::GaussianBasis::IntegralEvaluator2 MPQC::IntegralEvaluatorFactory_impl::get_hcore_evaluator | ( | int64_t | max_deriv,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs1,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs2,
|  | ::Chemistry::QC::GaussianBasis::DerivCenters | dc
| ) |  | throw ()

Get a hcore specialized 2-center integral evaluator.

Returns derivative integrals taken with respect to DerivCenters.

Parameters:

  max_deriv | Maximum derivative that will be computed
  bs1 | Molecular basis set on center 1
  bs2 | Molecular basis set on center 2

Returns:
  hcore repulsion integral evaluator

::Chemistry::QC::GaussianBasis::IntegralEvaluator2 MPQC::IntegralEvaluatorFactory_impl::get_integral_evaluator2 | ( | const ::std::string & | label,
|  | int64_t | max_deriv,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs1,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs2
| ) |  | throw ()

Get a 2-center integral evaluator.

Parameters:

  label | String specifying integral type
  max_deriv | Maximum derivative that will be computed
  bs1 | Molecular basis set on center 1
  bs2 | Molecular basis set on center 2

Returns:
  2-center integral evaluator

::Chemistry::QC::GaussianBasis::IntegralEvaluator3 MPQC::IntegralEvaluatorFactory_impl::get_integral_evaluator3 | ( | const ::std::string & | label,
|  | int64_t | max_deriv,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs1,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs2,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs3
| ) |  | throw ()

Get a 3-center integral evaluator.

Parameters:

  label | String specifying integral type
  max_deriv | Maximum derivative that will be computed
  bs1 | Molecular basis set on center 1
  bs2 | Molecular basis set on center 2
  bs3 | Molecular basis set on center 3

Returns:
  3-center integral evaluator

::Chemistry::QC::GaussianBasis::IntegralEvaluator4 MPQC::IntegralEvaluatorFactory_impl::get_integral_evaluator4 | ( | const ::std::string & | label,
|  | int64_t | max_deriv,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs1,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs2,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs3,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs4
| ) |  | throw ()

Get a 4-center integral evaluator.

Parameters:

  label | String defining integral type
  max_deriv | Maximum derivative that will be computed
  bs1 | Molecular basis set on center 1
  bs2 | Molecular basis set on center 2
  bs3 | Molecular basis set on center 3
  bs4 | Molecular basis set on center 4

Returns:
  4-center integral evaluator

::Chemistry::QC::GaussianBasis::Molecular MPQC::IntegralEvaluatorFactory_impl::get_molecular | ( |  | ) | throw ()

Get the molecular basis.

Returns:
  The molecular basis

::Chemistry::Molecule MPQC::IntegralEvaluatorFactory_impl::get_molecule | ( |  | ) | throw ()

Get the molecule.

Returns:
  The molecule

::Chemistry::QC::GaussianBasis::IntegralEvaluator2 MPQC::IntegralEvaluatorFactory_impl::get_nuclear_evaluator | ( | int64_t | max_deriv,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs1,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs2,
|  | ::Chemistry::QC::GaussianBasis::DerivCenters | dc
| ) |  | throw ()

Get a nuclear repulsion specialized 2-center integral evaluator.

Returns derivative integrals taken with respect to DerivCenters.

Parameters:

  max_deriv | Maximum derivative that will be computed
  bs1 | Molecular basis set on center 1
  bs2 | Molecular basis set on center 2

Returns:
  nuclear repulsion integral evaluator

void MPQC::IntegralEvaluatorFactory_impl::set_integral_package | ( | const ::std::string & | label | ) | throw ()

Set the integral package.

Parameters:

  The | integral package

void MPQC::IntegralEvaluatorFactory_impl::set_molecular | ( | ::Chemistry::QC::GaussianBasis::Molecular | molbasis | ) | throw ()

Set the molecular basis.

Parameters:

  molbasis | The molecular basis

void MPQC::IntegralEvaluatorFactory_impl::set_molecule | ( | ::Chemistry::Molecule | mol | ) | throw ()

Set the molecule.

Parameters:

  The | molecule

void MPQC::IntegralEvaluatorFactory_impl::setServices | ( | ::gov::cca::Services | services | ) | throw ( ::gov::cca::CCAException )

Starts up a component presence in the calling framework.

Parameters:

  Svc | the component instance's handle on the framework world. Contracts concerning Svc and setServices:

The component interaction with the CCA framework and Ports begins on the call to setServices by the framework.

This function is called exactly once for each instance created by the framework.

The argument Svc will never be nil/null.

Those uses ports which are automatically connected by the framework (so-called service-ports) may be obtained via getPort during setServices.

The documentation for this class was generated from the following file:

- MPQC_IntegralEvaluatorFactory_Impl.hh